## sympa 6.0.1+dfsg

=== debian/changelog ===
sympa (6.0.1+dfsg-4+squeeze2) oldstable-proposed-updates; urgency=low

  * Fix endless loop in wwsympa while loading session data including
  metacharacters like regexp symbols (Closes: #654622)

 -- Emmanuel Bouthenot <kolter@debian.org>  Thu, 10 Oct 2013 06:27:01 +0000

sympa (6.0.1+dfsg-4+squeeze1) stable-security; urgency=high

  * Fix CVE-2012-2352: Possibility to bypass the authorization mechanisms in
  the archive management page of wwsympa (Closes: #672893)

 -- Emmanuel Bouthenot <kolter@debian.org>  Sat, 19 May 2012 15:49:55 +0000

sympa (6.0.1+dfsg-4) testing-proposed-updates; urgency=low

  [ Stefan Hornburg (Racke) ]
  * Update Portuguese debconf translations (Closes: #605355,
    thanks to Miguel Figueiredo)

  [ Emmanuel Bouthenot ]
  * Fix the empty 'supported_lang' option from a newly generated sympa.conf
    when no locales are installed. Rearrange recommends and dependencies so
    that sympa will depends on all DB backends libs. This will make
    installation more robust regarding the multiples combinations of DB
    backends and debconf priorities (Closes: #606704).

 -- Emmanuel Bouthenot <kolter@debian.org>  Sun, 09 Jan 2011 12:20:39 +0000

sympa (6.0.1+dfsg-3) testing-proposed-updates; urgency=low

  [ Stefan Hornburg (Racke) ]
  * Provide symbolic links for queue binaries to prevent broken mail
    aliases on upgrades from Lenny (Closes: #594119).
  
  [ Emmanuel Bouthenot ]
  * Add or Update debconf translations:
    - Portuguese: Thanks to Miguel Figueiredo (Closes: #583307).
    - Spanish: Thanks to Francisco Javier Cuadrado (Closes: #583852).
    - Swedish: Thanks to Martin Bagge (Closes: #586821).
    - Japanese: Thanks to Hideki Yamane (Closes: #590225).
    - Czech: Thanks to Miroslav Kure (Closes: #590337).
    - Basque: Thanks to Iñaki Larrañaga Murgoitio (Closes: 590590).
  * Update copyright file with new and updated debconf translations.
  * Add a patch to disable the build of PO files previously removed from
    the DFSG sources (fix a FTBFS).
  
 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Sun, 14 Nov 2010 21:16:36 +0100

sympa (6.0.1+dfsg-2) unstable; urgency=low

  * Add missing dependencies on libmime-lite-html-perl (Closes: #580982,
    thanks to Jean Charles Delepine <delepine@u-picardie.fr> for the
    report)

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Mon, 10 May 2010 18:13:58 +0200

sympa (6.0.1+dfsg-1) unstable; urgency=medium

  [ Jonas Smedegaard ]
  * Repackage source to avoid problematic files:
    + ca-bundle.crt: non-DFSG license limited to "authorized use only".
    + {it,oc}.po: copyright-protected but unlicensed.
    + *.gmo: unused sources cluttering authorship/licensing tracking.
  * Use only official CDBS (drop local snippets): All improvements now
    adopted upstream.
  * Declare package relations recursively expanded.
  * Synchronize control.in and control files (standards-version was
    skewed).
  * Update header of rules file: Bump copyright years; Use uppercase for
    project name; refer to FSF website (not postal address).
  * Use source format 3.0 (quilt), and stop including patchsys-quilt.mk.
  * Refresh patches with quilt options --no-timestamps --no-index -pab.
  * Stop implementing DEB_MAINTAINER_MODE locally in rules file: part of
    CDBS now.
  * Adjust DEB_COPYRIGHT_CHECK_IGNORE_REGEX: Needs leading ./ now.
  * Rewrite copyrught file using draft DEP5 rev. 135.
  * Build-depend on dh-buildinf.
  * Tighten build-dependency on cdbs.
  * Put aside upstream-shipped gmo files (and a few other files
    disturbing our build routines) during build, to ensure only freshly-
    generated ones are included in binary packages.
  * Install symlink to system CRL (as upstream CRL contained non-DFSG
    certificate), and recommend ca-certificates providing it.
  * Invoke cat cat without path in postinst. Thanks to lintian.
  * Update russian (ru) debconf translation, and add proper copyright
    and licensing header. Thanks to Yuri Kozlov.

  [ Stefan Hornburg (Racke) ]
  * Add missing dependencies on libfile-copy-recursive-perl,
    libnet-netmask-perl and libterm-progressbar-perl (Closes: #579550,
    thanks to Malte S. Stretz <debian-bugs@msquadrat.de> for the report)
  * Update Debconf templates translations
    - French (Closes: #577750, thanks to Christian Perrier
      <bubulle@debian.org>)
    - German (Closes: #577974, thanks to Helge Kreutzmann
      <debian@helgefjell.de>)
    - Japanese (Closes: #558069, thanks to Hideki Yamane
      <henrich@debian.or.jp>)

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Sat, 08 May 2010 13:18:12 +0200

sympa (6.0.1-1) unstable; urgency=low

  * New upstream release. Closes: #566252, #565787, #556592, #549440.

  [ Jonas Smedegaard ]
  * Drop build-dependency on autotools-dev, no longer needed.
  * Update local CDBS snippets:
    + Update package-relations.mk: Cleanup and tighten dependencies.
      Improve whitespace cleanup. Rewrite and silence applying
      dependencies.
    + Let copyright-check.mk investigate top 99999 lines (not just 60 as
      default for licensecheck), and make it configurable with
      DEB_COPYRIGHT_CHECK_PARSELINES. Silence (GENERATED FILE) licensing
      notices. List files grouped by sorted owner list (ignoring years).
      Preserve unusual characters in copyright_hints file.
    + Update upstream-tarball.mk to preserve bzip2 tarballs with source
      format 3.0 (quilt).
  * Fix password handling in debian/postinst. Closes: #501605
    (resurrected from 5.3.4-6.1), thanks to Thomas Viehmann and others.
  * Improve syslog facility handling.
  * reload rsyslog (in addition to sysklogd), and fail those reloads
    gracefully. Related to bug#496074. Closes: #519977
  * Skip copyright-checking binary PO-files.
  * Add DEP3 header to all patches.
  * Adapt patch 2002 (wizard drop localedir) to current source.
  * Disable patch 1009 (postfix virtual aliases support) needing
    extensive adaption work and possibly no longer relevant.

