=== debian/control ===
Source: sympa
Section: mail
Priority: optional
Maintainer: Debian Sympa team <pkg-sympa-devel@lists.alioth.debian.org>
Uploaders: Stefan Hornburg (Racke) <racke@linuxia.de>, Jonas Smedegaard <dr@jones.dk>, Emmanuel Bouthenot <kolter@debian.org>
Build-Depends: cdbs (>= 0.4.70~),
 devscripts (>= 2.10.7~),
 debhelper (>= 6),
 dh-buildinfo,
 perl-suid,
 libdbi-perl (>= 1.06),
 libarchive-zip-perl (>= 1.05),
 libmailtools-perl (>= 1.51),
 libmsgcat-perl (>= 1.0),
 libmime-tools-perl | libmime-perl (>= 5.209),
 perl (>= 5.8),
 libio-stringy-perl,
 libnet-ldap-perl (>= 0.27),
 libcgi-fast-perl,
 libcrypt-ciphersaber-perl,
 libintl-perl,
 libmime-charset-perl,
 libmime-encwords-perl,
 libtemplate-perl,
 libxml-libxml-perl,
 libcgi-pm-perl (>= 3.35),
 libhtml-stripscripts-parser-perl (>= 1.0),
 libhtml-tree-perl,
 libhtml-format-perl,
 mhonarc,
 libregexp-common-perl,
 debconf-utils,
 po-debconf
Standards-Version: 3.8.4
Vcs-Git: git://git.debian.org/git/collab-maint/sympa.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/sympa.git;a=summary
Homepage: http://www.sympa.org/

Package: sympa
Architecture: any
Depends: ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${cdbs:Depends}
Replaces: wwsympa
Provides: wwsympa
Conflicts: wwsympa
Recommends: logrotate, doc-base, mysql-server | postgresql, locales, ca-certificates
Suggests: apache2 | httpd-cgi, openssl (>= 0.9.5a), libapache2-mod-fcgid, libsoap-lite-perl
Description: Modern mailing list manager
 Sympa is a scalable and highly customizable modern mailing list manager
 capable of handling big setups: 20.000 lists with 700,000 subscribers.
 .
 Here are some of its many features:
  - Advanced MIME support, including digests, anonymization and S/MIME
    encryption
  - Builtin password-based authentication, HTTPS X.509 certificates or
    use of LDAP database or Single Sign-On CAS or Shibboleth servers
  - Archive management with web access and RSS feeds
  - Moderation and administration via email, web and SOAP interface
  - Multi-lingual, translated to more than 30 languages
  - Virtual domains (virtual robots)
  - Local SQLite subscriber database or use of MySQL, PostgreSQL or LDAP
  - Integrated scripting language to extend and automate routines
  - Web inteface called WWSympa providing homogenous access for both
    users and admins to list overviews, customization, administration,
    searchable archives and optional web-based email reply form.
  - Clean moderation and expiration processing
  - Customizable service messages (templates) for owner and listmaster
  - Semi-automatic bounces management
 .
 SYMPA is french for 'SYstème de Multi-Postage Automatique', which means
 'Automatic Multi Mailing System'.
