=== debian/watch ===
version=3
opts=dversionmangle=s/[~+]dfsg.*// \
	http://www.sympa.org/distribution/sympa-(.*)\.tar\.gz
