## sympa 6.1.1~dfsg

=== debian/changelog ===
sympa (6.1.1~dfsg-2) unstable; urgency=low

  * Add --with-sbindir=/usr/lib/sympa/bin to configure flags 
    (Closes: #601507).
  * Remove dependency on perl-suid 
    (Closes: #581943, thanks to Niko Tyni <ntyni@debian.org> for the report).
  * Remove patch which forces removal of PO stamp files and add them to
    upstream temporary files in debian/rules.

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Thu, 28 Oct 2010 10:22:05 +0200

sympa (6.1.1~dfsg-1) unstable; urgency=low

  * New upstream stable release.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 23 Oct 2010 12:49:28 +0200

sympa (6.1~dfsg-1) unstable; urgency=low

  * New upstream stable release.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 18 Oct 2010 03:20:27 +0200

sympa (6.1~beta7~dfsg-1) experimental; urgency=low

  * New upstream unstable release.

  [ Stefan Hornburg (Racke) ]
  * Provide symbolic links for queue binaries to prevent broken mail
    aliases on upgrades from Lenny (Closes: #594119). 

  [ Emmanuel Bouthenot ]
  * Update Maintainer email (now using a dedicated mailing list on
    Alioth).

  [ Jonas Smedegaard ]
  * Git-ignore quilt .pc dir, and add source local-options, both to ease
    building with git-buildpackage.
  * Use make wrapping (not shell) when resolving gencat path at build
    time.
  * Drop patch 0001 applied upstream now.
  * Unfuzz and refresh patches 1006, 1010 and 2006.
  * Drop workaround for sample files installed in root dir: Fixed
    upstream in 6.0.6 and 6.1b.7.
  * Append _DEFAULT to deprecated CDBS variables in rules file.
  * Extend copyright years in debian/copyright.
  * Explicitly pass --localedir to configure.
  * Avoid installing sample files twice.
  * Install upstream sample dir below Debian example dir.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 10 Oct 2010 23:22:40 +0200

sympa (6.1~beta4~dfsg-1) unstable; urgency=low

  * New upstream prerelease.

  [ Jonas Smedegaard ]
  * Update rules and watch file to handle beta releases.
  * Use default ~ (not +) as dfsg version hint delimiter.
  * Drop patch 1010 (sqlite upgrade): included upstream.
  * Unfuzz patches.
  * Refresh debconf gettext files.
  * Update copyright file: Add licensing info for recently added debconf
    gettext files (new authors, same licenses).
  * Declare all binary dependencies in rules file.
  * Update package relations based on sympa_wizard.pl.in:
    + Tighten (build-)dependency on libdbi-perl, libdbd-mysql-perl and
      libfile-copy-recursive-perl.
    + Make dependencies on libnet-ldap-perl unversioned.
    + Build-depend and depend (as libdbd-mysql-perl fallback) on
      libdbd-sybase-perl.
    + Stop build-depending and depending (as libdbd-mysql-perl fallback)
      on libdbd-sqlite2-perl (version number indicated only sqlite3 is
      supported).
    + Depend on libfcgi-perl.
    + Recommend libfile-nfslock-perl, libio-socket-ssl-perl,
      libsoap-lite-perl, libmail-dkim-perl and libapache2-mod-fastcgi.
    + Recommend (not build-depend or depend on)
      libcrypt-ciphersaber-perl.
    + Suggest (not yet packaged) libauthcas-perl, libdbd-oracle-perl,
      libtext-linefold-perl and libtext-wrap-perl.

  [ Emmanuel Bouthenot ]
  * Add or Update debconf translations:
    - Portuguese: Thanks to Miguel Figueiredo (Closes: #583307).
    - Spanish: Thanks to Francisco Javier Cuadrado (Closes: #583852).
    - Swedish: Thanks to Martin Bagge (Closes: #586821).
    - Japanese: Thanks to Hideki Yamane (Closes: #590225).
    - Czech: Thanks to Miroslav Kure (Closes: #590337).
    - Basque: Thanks to Iñaki Larrañaga Murgoitio (Closes: 590590).
  * Update copyright file with new and updated debconf translations.
  * Fix duplicate control fields (Recommends and Suggests).
  * Add a patch to disable the build of PO files previously removed from
    the DFSG sources (fix a FTBFS).
  * The Makefile “clean” target has to be “maintainer-clean” to force the
    deletion of PO stamp and GMO files which can prevent the build of
    translations files.
  * Force removal of po{,-wwsympa}/stamp-po files which breaks the build
    of translations files (Closes: #587096).
  * Add a patch which fix error messages in Apache logs while running Sympa
    in debug mode (Closes: #585397).
  * Remove the dependencies on the “very obsolete” libmime-perl package.
  * Reduce the dependency on libdbd-mysql-perl (make it buildable on lenny).
  * Remove useless lintian overrides.
  * Add missing descriptions for a few patches.
  * Fix permissions on MTA tools wrappers.
  * Add myself to Uploaders.
  * Update path to GPL licence in debian/copyright (use real path instead
    of symlink).
  * Add missing init script LSB headers: “Description” and “Short-Description”

 -- Emmanuel Bouthenot <kolter@debian.org>  Mon, 02 Aug 2010 21:44:23 +0000
