=== debian/control ===
--- 
+++ 
@@ -7,23 +7,22 @@
  devscripts (>= 2.10.7~),
  debhelper (>= 6),
  dh-buildinfo,
- perl-suid,
- libdbi-perl (>= 1.06),
+ libdbi-perl (>= 1.48),
+ libdbd-mysql-perl (>= 4.007) | libdbd-pg-perl | libdbd-sqlite3-perl | libdbd-sybase-perl,
  libarchive-zip-perl (>= 1.05),
  libmailtools-perl (>= 1.51),
  libmsgcat-perl (>= 1.0),
- libmime-tools-perl | libmime-perl (>= 5.209),
+ libmime-tools-perl,
  perl (>= 5.8),
  libio-stringy-perl,
- libnet-ldap-perl (>= 0.27),
+ libnet-ldap-perl,
  libcgi-fast-perl,
- libcrypt-ciphersaber-perl,
  libintl-perl,
  libmime-charset-perl,
  libmime-encwords-perl,
  libtemplate-perl,
  libxml-libxml-perl,
- libcgi-pm-perl (>= 3.35),
+ perl-modules (>= 5.10) | libcgi-pm-perl (>= 3.35),
  libhtml-stripscripts-parser-perl (>= 1.0),
  libhtml-tree-perl,
  libhtml-format-perl,
@@ -31,7 +30,7 @@
  libregexp-common-perl,
  debconf-utils,
  po-debconf
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Vcs-Git: git://git.debian.org/git/collab-maint/sympa.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/sympa.git;a=summary
 Homepage: http://www.sympa.org/
@@ -42,8 +41,8 @@
 Replaces: wwsympa
 Provides: wwsympa
 Conflicts: wwsympa
-Recommends: logrotate, doc-base, mysql-server | postgresql, locales, ca-certificates
-Suggests: apache2 | httpd-cgi, openssl (>= 0.9.5a), libapache2-mod-fcgid, libsoap-lite-perl
+Recommends: ${cdbs:Recommends}, logrotate, doc-base, mysql-server | postgresql | sqlite3 | sqlite, locales, ca-certificates
+Suggests: ${cdbs:Suggests}, apache2 | httpd-cgi, openssl (>= 0.9.5a), libapache2-mod-fcgid, libsoap-lite-perl
 Description: Modern mailing list manager
  Sympa is a scalable and highly customizable modern mailing list manager
  capable of handling big setups: 20.000 lists with 700,000 subscribers.
