=== debian/rules ===
--- 
+++ 
@@ -22,17 +22,16 @@
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 
-GENCAT=`which gencat || echo '/usr/bin/gencat'`
-PERL=/usr/bin/perl
+# TODO: verify that gencat path is static on Debian, and simplify
+GENCAT := $(shell which gencat || echo '/usr/bin/gencat')
+PERL = /usr/bin/perl
 
 SCRIPTS = p12topem.pl testldap.pl load_subscribers.pl orphan_killer.pl \
 	crypt_passwd.pl init_comment.pl arc2webarc.pl
 
-DEB_UPSTREAM_URL = http://www.sympa.org/distribution/old
-DEB_UPSTREAM_TARBALL_MD5 = 418fc8f851b4dcaae67785a7b12c4cf5
-
-# TODO: drop before next upstream release
-DEB_UPSTREAM_REPACKAGE_DELIMITER = +
+DEB_UPSTREAM_URL = http://www.sympa.org/distribution
+DEB_UPSTREAM_TARBALL_MD5 = 2e6d12a0a3c8fdaa25c26e75d94fa05f
+DEB_UPSTREAM_TARBALL_BASENAME_MANGLE = s/~beta(\d+)$$/b.$$1/
 
 # non-DFSG license limited to "authorized use only"
 DEB_UPSTREAM_REPACKAGE_EXCLUDES += ./src/etc/ca-bundle.crt
@@ -47,8 +46,10 @@
 DEB_CONFIGURE_EXTRA_FLAGS = \
 	--enable-fhs \
 	--sysconfdir=/etc/sympa \
+	--with-sbindir=/usr/lib/sympa/bin \
 	--with-cgidir=/usr/lib/cgi-bin/sympa \
 	--datadir=/usr/share \
+	--localedir=/usr/lib/sympa/locale \
 	--mandir=/usr/share/man \
 	--with-initdir=/etc/init.d \
 	--with-docdir=/usr/share/doc/sympa \
@@ -80,6 +81,7 @@
 upstreamtmpfiles += $(localenames:%=po/%.gmo)
 upstreamtmpfiles += $(localenames:%=po-wwsympa/%.gmo)
 upstreamtmpfiles += src/etc/list_aliases.tt2 src/lib/Sympa/Constants.pm sympa.spec
+upstreamtmpfiles += po-wwsympa/stamp-po po/stamp-po
 pre-build:: debian/stamp-upstreamtmpstuff
 debian/stamp-upstreamtmpstuff:
 	for file in $(upstreamtmpfiles); do \
@@ -91,7 +93,6 @@
 		[ ! -e $$file.upstream ] || mv -f $$file.upstream $$file; \
 	done
 	rm -f debian/stamp-upstreamtmpstuff
-	rm -f po/stamp-po po-wwsympa/stamp-po
 
 clean::
 	debconf-updatepo
@@ -153,9 +154,8 @@
 	rm "$(DEB_DESTDIR)"/etc/sympa/sympa.conf
 	rm "$(DEB_DESTDIR)"/etc/sympa/wwsympa.conf
 
-# Move samples which end up for some reason in the filesystem root
-	mv "$(DEB_DESTDIR)"/sample/* "$(DEB_DESTDIR)"/usr/share/doc/${cdbs_curpkg}/examples/
-	rmdir "$(DEB_DESTDIR)"/sample
+# Move upstream sample dir below Debian example dir
+	cd "$(DEB_DESTDIR)/usr/share/doc/$(cdbs_curpkg)" && mv sample/ examples/
 
 # Rename example file topics.conf -> topics.us.conf
 binary-post-install/sympa::
@@ -163,14 +163,15 @@
 		"$(DEB_DESTDIR)"/usr/share/doc/$(cdbs_curpkg)/examples/config/topics.us.conf
 
 # Needed both by upstream build (or test) process and at runtime
-common-depends = perl-suid, libdbi-perl (>= 1.06), libarchive-zip-perl (>= 1.05), libmailtools-perl (>= 1.51), libmsgcat-perl (>= 1.0), libmime-tools-perl | libmime-perl (>= 5.209), perl (>= 5.8), libio-stringy-perl, libnet-ldap-perl (>= 0.27), libcgi-fast-perl, libcrypt-ciphersaber-perl, libintl-perl, libmime-charset-perl, libmime-encwords-perl, libtemplate-perl, libxml-libxml-perl, libcgi-pm-perl (>= 3.35), libhtml-stripscripts-parser-perl (>= 1.0), libhtml-tree-perl, libhtml-format-perl, mhonarc, libregexp-common-perl
+common-depends = libdbi-perl (>= 1.48), libdbd-mysql-perl (>= 4.007) | libdbd-pg-perl | libdbd-sqlite3-perl | libdbd-sybase-perl, libarchive-zip-perl (>= 1.05), libmailtools-perl (>= 1.51), libmsgcat-perl (>= 1.0), libmime-tools-perl, perl (>= 5.8), libio-stringy-perl, libnet-ldap-perl, libcgi-fast-perl, libintl-perl, libmime-charset-perl, libmime-encwords-perl, libtemplate-perl, libxml-libxml-perl, perl-modules (>= 5.10) | libcgi-pm-perl (>= 3.35), libhtml-stripscripts-parser-perl (>= 1.0), libhtml-tree-perl, libhtml-format-perl, mhonarc, libregexp-common-perl
 CDBS_DEPENDS = $(common-depends)
 CDBS_BUILD_DEPENDS += , $(common-depends)
 
 # Needed by packaging routines
 CDBS_BUILD_DEPENDS += , debconf-utils, po-debconf
 
-# Needed at runtime
+# Needed (always/often) at runtime
 CDBS_DEPENDS += , sendmail (>= 8.9) | mail-transport-agent, sysklogd (>= 1.3-27) | system-log-daemon, lsb-base, adduser, debconf | debconf-2.0, dbconfig-common
-CDBS_DEPENDS += , libfile-copy-recursive-perl, libnet-netmask-perl, libterm-progressbar-perl, libmime-lite-html-perl
-CDBS_DEPENDS += , libdbd-mysql-perl, libdbd-pg-perl, libdbd-sqlite3-perl | libdbd-sqlite2-perl, sqlite3 | sqlite
+CDBS_DEPENDS += , libfcgi-perl, libfile-copy-recursive-perl (>= 0.36), libnet-netmask-perl, libterm-progressbar-perl, libmime-lite-html-perl
+CDBS_RECOMMENDS = libfile-nfslock-perl, libio-socket-ssl-perl, libsoap-lite-perl, libcrypt-ciphersaber-perl, libmail-dkim-perl (>= 0.36), libapache2-mod-fastcgi
+CDBS_SUGGESTS = libauthcas-perl (>= 1.4), libdbd-oracle-perl (>= 0.90), libtext-linefold-perl (>= 0.008), libtext-wrap-perl
