## sympa 6.1.4~dfsg

=== debian/changelog ===
sympa (6.1.4~dfsg-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Emmanuel Bouthenot <kolter@debian.org>  Sun, 24 Jul 2011 21:18:51 +0000

sympa (6.1.4~dfsg-1) unstable; urgency=low

  [ Emmanuel Bouthenot ]
  * New upstream release (Closes: #624207, #617766)
    + Fix MySQL db creation syntax errors thanks to the patch of
      Luís Sousa (Closes: #604700).
  * Fix the empty 'supported_lang' option from a newly generated sympa.conf
    when no locales are installed (Closes: #619006)
  * Move aliases file from /etc/mail/sympa.aliases to /etc/mail/sympa/aliases
    in order to fix permissions issues while SYMPA creates new aliases
    (Closes: #282813)
  * Update debian/copyright to the latest DEP5 specification and add/remove
    the copyright holders as needed.
  * Add Danish debconf translations (Closes: #626733, Thanks to Joe Hansen)
  * Update Brazilian Portuguese debconf translations (Closes: #628130, Thanks
    to Eder L. Marques)
  * Add a patch which set the default charset (UTF-8) and engine to the MySQL
    schema (Closes: #574646)
  * Add a dependency on libunicode-linebreak-perl (needed by wwsympa)
  * Fix permissions (setuid bit) on wwsympa cgi wrappers (Closes: 629095, Thanks
    to Julien Lesaint)
  * Fix wrong parameter used (dbc_hostname instead of dbc_dbserver) to generate
    sympa config file from dbconfig options (Closes: #587154, Special thanks to
    Tomasz Brzezina to have dug and found how to fix it)
  * Add a patch to fix some warnings about deprecated usage of 'defined' with
    Perl 5.12 (Closes: #629082)
  * Fix CGI wrappers paths in apache config files.
  * Bump Standards-Version to 3.9.2

  [ Stefan Hornburg (Racke) ]
  * Update Portuguese debconf translations (Closes: #605355, thanks to Miguel
    Figueiredo)

  [ Jonas Smedegaard ]
  * Tidy patches:
    + Reorder and rename to follow naming scheme.
    + Unfuzz patch 1010.

 -- Emmanuel Bouthenot <kolter@debian.org>  Fri, 03 Jun 2011 21:42:11 +0000
