=== debian/rules ===
--- 
+++ 
@@ -30,7 +30,7 @@
 	crypt_passwd.pl init_comment.pl arc2webarc.pl
 
 DEB_UPSTREAM_URL = http://www.sympa.org/distribution
-DEB_UPSTREAM_TARBALL_MD5 = 2e6d12a0a3c8fdaa25c26e75d94fa05f
+DEB_UPSTREAM_TARBALL_MD5 = af98773db98c417ef9fad52ea349d900
 DEB_UPSTREAM_TARBALL_BASENAME_MANGLE = s/~beta(\d+)$$/b.$$1/
 
 # non-DFSG license limited to "authorized use only"
@@ -39,8 +39,6 @@
 DEB_UPSTREAM_REPACKAGE_EXCLUDES += ./po/it.po ./po/oc.po
 # unused sources cluttering authorship/licensing tracking
 DEB_UPSTREAM_REPACKAGE_EXCLUDES += ./po*.gmo
-
-DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^\./po.*\.gmo|\./debian/(changelog|copyright(|_hints|_newhints))$
 
 DEB_CONFIGURE_PREFIX = /usr/lib/sympa
 DEB_CONFIGURE_EXTRA_FLAGS = \
@@ -57,8 +55,8 @@
 	--with-openssl=/usr/bin/openssl \
 	--with-gencat=$(GENCAT) \
 	--with-user=root --with-group=root \
-	--with-sendmail_aliases=/etc/mail/sympa.aliases \
-	--with-virtual_aliases=/etc/mail/sympa.virtual
+	--with-sendmail_aliases=/etc/mail/sympa/aliases \
+	--with-virtual_aliases=/etc/mail/sympa/virtual
 
 # We cannot configure --with-expldir: upstream use uppercase X in subdir
 DEB_MAKE_INSTALL_TARGET = install \
@@ -163,15 +161,30 @@
 		"$(DEB_DESTDIR)"/usr/share/doc/$(cdbs_curpkg)/examples/config/topics.us.conf
 
 # Needed both by upstream build (or test) process and at runtime
-common-depends = libdbi-perl (>= 1.48), libdbd-mysql-perl (>= 4.007) | libdbd-pg-perl | libdbd-sqlite3-perl | libdbd-sybase-perl, libarchive-zip-perl (>= 1.05), libmailtools-perl (>= 1.51), libmsgcat-perl (>= 1.0), libmime-tools-perl, perl (>= 5.8), libio-stringy-perl, libnet-ldap-perl, libcgi-fast-perl, libintl-perl, libmime-charset-perl, libmime-encwords-perl, libtemplate-perl, libxml-libxml-perl, perl-modules (>= 5.10) | libcgi-pm-perl (>= 3.35), libhtml-stripscripts-parser-perl (>= 1.0), libhtml-tree-perl, libhtml-format-perl, mhonarc, libregexp-common-perl
-CDBS_DEPENDS = $(common-depends)
-CDBS_BUILD_DEPENDS += , $(common-depends)
+common-depends = libdbi-perl (>= 1.48), libarchive-zip-perl (>= 1.05)
+common-depends += , libmailtools-perl (>= 1.51), libmsgcat-perl (>= 1.0), libmime-tools-perl
+common-depends += , perl (>= 5.8), libio-stringy-perl, libnet-ldap-perl, libcgi-fast-perl
+common-depends += , libintl-perl, libmime-charset-perl, libmime-encwords-perl, libtemplate-perl
+common-depends += , libxml-libxml-perl, perl-modules (>= 5.10) | libcgi-pm-perl (>= 3.35)
+common-depends += , libhtml-stripscripts-parser-perl (>= 1.0), libhtml-tree-perl, libhtml-format-perl
+common-depends += , mhonarc, libregexp-common-perl
 
 # Needed by packaging routines
+CDBS_BUILD_DEPENDS += , $(common-depends)
 CDBS_BUILD_DEPENDS += , debconf-utils, po-debconf
 
 # Needed (always/often) at runtime
-CDBS_DEPENDS += , sendmail (>= 8.9) | mail-transport-agent, sysklogd (>= 1.3-27) | system-log-daemon, lsb-base, adduser, debconf | debconf-2.0, dbconfig-common
-CDBS_DEPENDS += , libfcgi-perl, libfile-copy-recursive-perl (>= 0.36), libnet-netmask-perl, libterm-progressbar-perl, libmime-lite-html-perl
-CDBS_RECOMMENDS = libfile-nfslock-perl, libio-socket-ssl-perl, libsoap-lite-perl, libcrypt-ciphersaber-perl, libmail-dkim-perl (>= 0.36), libapache2-mod-fastcgi
-CDBS_SUGGESTS = libauthcas-perl (>= 1.4), libdbd-oracle-perl (>= 0.90), libtext-linefold-perl (>= 0.008), libtext-wrap-perl
+CDBS_DEPENDS = $(common-depends)
+CDBS_DEPENDS += , sendmail (>= 8.9) | mail-transport-agent
+CDBS_DEPENDS += , sysklogd (>= 1.3-27) | system-log-daemon
+CDBS_DEPENDS += , lsb-base, adduser, debconf | debconf-2.0, dbconfig-common
+CDBS_DEPENDS += , libdbd-mysql-perl (>= 4.007), libdbd-pg-perl
+CDBS_DEPENDS += , libdbd-sybase-perl, libdbd-sqlite3-perl, sqlite3
+CDBS_DEPENDS += , libfcgi-perl, libfile-copy-recursive-perl (>= 0.36), libnet-netmask-perl
+CDBS_DEPENDS += , libterm-progressbar-perl, libmime-lite-html-perl, libunicode-linebreak-perl
+
+CDBS_RECOMMENDS = libfile-nfslock-perl, libio-socket-ssl-perl, libsoap-lite-perl
+CDBS_RECOMMENDS += , libcrypt-ciphersaber-perl, libmail-dkim-perl (>= 0.36)
+CDBS_RECOMMENDS += , libapache2-mod-fastcgi
+
+CDBS_SUGGESTS = libauthcas-perl (>= 1.4), libdbd-oracle-perl (>= 0.90)
