## sympa 6.1.7~dfsg

=== debian/changelog ===
sympa (6.1.7~dfsg-2) unstable; urgency=low

  [ Emmanuel Bouthenot ]
  * Adjust dependency on default MTA to use default-mta (Closes: #495857)
  * Tiny updates in debian/copyright and debian/copyright_hints
  * Add rsyslog configuration (Closes: #496074)
  * Fix logrotate script to reload rsyslog properly (Closes: #628606)
  * Full rewrite of init script to be more robust and more verbose:
    - reload target check if sympa is running to prevent sympa restart from
    logrotate if it was not already started (Closes: #568543)
  * Add a README.Debian file
    - Add a note about how to upgrade password format from version 5.x to 6.x
      (Closes: #630734)
  * Various code cleanup and fixes in maintainer and debconf scripts:
    - Fix update of 'use_fast_cgi' parameter in wwsympa.conf from debconf
      (Closes: #411987)
  * Update debconf question about fastcgi which tells to install
    libapache2-mod-fcgid instead of libapache2-mod-fastcgi (non-free). Update
    Recommends accordingly (Closes: #642323)
  * Return of the SQL schemas in /usr/share/sympa/bin (they were needed)

  [ Paul Menzel ]
  * README.Debian-exim4: Fix two typos (Closes: #650335)

 -- Emmanuel Bouthenot <kolter@debian.org>  Mon, 21 Nov 2011 21:17:35 +0000

sympa (6.1.7~dfsg-1) unstable; urgency=low

  [ Emmanuel Bouthenot ]
  * New upstream release (Closes: #644827)
  * Remove unexistant Suggest on libtext-linefold-perl (Closes: #604286)
  * Remove patch to fix some warnings about deprecated usage of 'defined' with
    Perl 5.12 (fixed upstream)
  * Remove SQL schemas from /usr/share/sympa/bin (improper location). They are
    already installed in /usr/share/doc/sympa/examples/db
  * Fix the way the permissions are set in /var/spool/sympa and /var/lib/sympa
    (Closes: #630384)
  * Fix permissions on *queue binaries (Closes: #633084, #581849)
  * Add a patch to fix SQLite DB schema upgrades (Closes: #639776, #642464)
  * Tiny updates in debian/copyright

  [ Olivier Berger ]
  * Add docs on how to configure Exim4 (README.Debian-exim4) (Closes: #169102)

 -- Emmanuel Bouthenot <kolter@debian.org>  Tue, 09 Aug 2011 11:19:19 +0000
