=== debian/control ===
--- 
+++ 
@@ -3,12 +3,11 @@
 Priority: optional
 Maintainer: Debian Sympa team <pkg-sympa-devel@lists.alioth.debian.org>
 Uploaders: Stefan Hornburg (Racke) <racke@linuxia.de>, Jonas Smedegaard <dr@jones.dk>, Emmanuel Bouthenot <kolter@debian.org>
-Build-Depends: cdbs (>= 0.4.70~),
+Build-Depends: cdbs (>= 0.4.72~),
  devscripts (>= 2.10.7~),
  debhelper (>= 6),
  dh-buildinfo,
  libdbi-perl (>= 1.48),
- libdbd-mysql-perl (>= 4.007) | libdbd-pg-perl | libdbd-sqlite3-perl | libdbd-sybase-perl,
  libarchive-zip-perl (>= 1.05),
  libmailtools-perl (>= 1.51),
  libmsgcat-perl (>= 1.0),
@@ -30,7 +29,7 @@
  libregexp-common-perl,
  debconf-utils,
  po-debconf
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/collab-maint/sympa.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/sympa.git;a=summary
 Homepage: http://www.sympa.org/
@@ -41,8 +40,8 @@
 Replaces: wwsympa
 Provides: wwsympa
 Conflicts: wwsympa
-Recommends: ${cdbs:Recommends}, logrotate, doc-base, mysql-server | postgresql | sqlite3 | sqlite, locales, ca-certificates
-Suggests: ${cdbs:Suggests}, apache2 | httpd-cgi, openssl (>= 0.9.5a), libapache2-mod-fcgid, libsoap-lite-perl
+Recommends: ${cdbs:Recommends}, logrotate, doc-base, mysql-server | postgresql, locales, ca-certificates
+Suggests: ${cdbs:Suggests}, apache2 | httpd-cgi, openssl (>= 0.9.5a), libsoap-lite-perl
 Description: Modern mailing list manager
  Sympa is a scalable and highly customizable modern mailing list manager
  capable of handling big setups: 20.000 lists with 700,000 subscribers.
@@ -65,5 +64,5 @@
   - Customizable service messages (templates) for owner and listmaster
   - Semi-automatic bounces management
  .
- SYMPA is french for 'SYstème de Multi-Postage Automatique', which means
+ SYMPA is French for 'SYstème de Multi-Postage Automatique', which means
  'Automatic Multi Mailing System'.
