=== debian/rules ===
--- 
+++ 
@@ -22,15 +22,13 @@
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 
-# TODO: verify that gencat path is static on Debian, and simplify
-GENCAT := $(shell which gencat || echo '/usr/bin/gencat')
 PERL = /usr/bin/perl
 
 SCRIPTS = p12topem.pl testldap.pl load_subscribers.pl orphan_killer.pl \
 	crypt_passwd.pl init_comment.pl arc2webarc.pl
 
 DEB_UPSTREAM_URL = http://www.sympa.org/distribution
-DEB_UPSTREAM_TARBALL_MD5 = af98773db98c417ef9fad52ea349d900
+DEB_UPSTREAM_TARBALL_MD5 = 5b61535cc6a335481e3c26230b30cd1d
 DEB_UPSTREAM_TARBALL_BASENAME_MANGLE = s/~beta(\d+)$$/b.$$1/
 
 # non-DFSG license limited to "authorized use only"
@@ -52,8 +50,6 @@
 	--with-initdir=/etc/init.d \
 	--with-docdir=/usr/share/doc/sympa \
 	--with-perl=$(PERL) \
-	--with-openssl=/usr/bin/openssl \
-	--with-gencat=$(GENCAT) \
 	--with-user=root --with-group=root \
 	--with-sendmail_aliases=/etc/mail/sympa/aliases \
 	--with-virtual_aliases=/etc/mail/sympa/virtual
@@ -100,8 +96,8 @@
 pre-build::
 	touch src/etc/ca-bundle.crt
 binary-post-install/sympa::
-	rm -f $(DEB_DESTDIR)/usr/share/sympa/default/ca-bundle.crt
-	ln -s -T /etc/ssl/certs/ca-certificates.crt $(DEB_DESTDIR)/usr/share/sympa/default/ca-bundle.crt
+	rm -f $(DEB_DESTDIR)/usr/share/$(cdbs_curpkg)/default/ca-bundle.crt
+	ln -s -T /etc/ssl/certs/ca-certificates.crt $(DEB_DESTDIR)/usr/share/$(cdbs_curpkg)/default/ca-bundle.crt
 clean::
 	rm -f src/etc/ca-bundle.crt
 
@@ -139,26 +135,28 @@
 
 # Remove unnecessary files
 binary-post-install/sympa::
-	rm -f "$(DEB_DESTDIR)"/usr/share/doc/sympa/examples/sample/*.conf \
-		"$(DEB_DESTDIR)"/usr/lib/cgi-bin/sympa/mime.types
+	rm -f "$(DEB_DESTDIR)"/usr/share/doc/$(cdbs_curpkg)/examples/sample/*.conf \
+		"$(DEB_DESTDIR)"/usr/lib/cgi-bin/$(cdbs_curpkg)/mime.types
 
 # SOAP client script not necessary for operation (#496515)
-	rm "$(DEB_DESTDIR)"/usr/share/sympa/bin/sympa_soap_client.pl
+	rm "$(DEB_DESTDIR)/usr/share/$(cdbs_curpkg)/bin/sympa_soap_client.pl"
 
 # Remove run directory as the init script deals with that
-	rmdir "$(DEB_DESTDIR)"/var/run/sympa "$(DEB_DESTDIR)"/var/run
+	rmdir "$(DEB_DESTDIR)/var/run/$(cdbs_curpkg)" "$(DEB_DESTDIR)"/var/run
 
 # Remove configuration files shipped with sympa
-	rm "$(DEB_DESTDIR)"/etc/sympa/sympa.conf
-	rm "$(DEB_DESTDIR)"/etc/sympa/wwsympa.conf
+	rm "$(DEB_DESTDIR)/etc/$(cdbs_curpkg)/sympa.conf"
+	rm "$(DEB_DESTDIR)/etc/$(cdbs_curpkg)/wwsympa.conf"
 
 # Move upstream sample dir below Debian example dir
 	cd "$(DEB_DESTDIR)/usr/share/doc/$(cdbs_curpkg)" && mv sample/ examples/
 
 # Rename example file topics.conf -> topics.us.conf
-binary-post-install/sympa::
 	mv "$(DEB_DESTDIR)"/usr/share/doc/$(cdbs_curpkg)/examples/config/topics.conf \
 		"$(DEB_DESTDIR)"/usr/share/doc/$(cdbs_curpkg)/examples/config/topics.us.conf
+
+# Fix permissions on SQL schemas
+	chmod -x "$(DEB_DESTDIR)"/usr/share/$(cdbs_curpkg)/bin/create_db.*
 
 # Needed both by upstream build (or test) process and at runtime
 common-depends = libdbi-perl (>= 1.48), libarchive-zip-perl (>= 1.05)
@@ -175,7 +173,7 @@
 
 # Needed (always/often) at runtime
 CDBS_DEPENDS = $(common-depends)
-CDBS_DEPENDS += , sendmail (>= 8.9) | mail-transport-agent
+CDBS_DEPENDS += , default-mta | mail-transport-agent
 CDBS_DEPENDS += , sysklogd (>= 1.3-27) | system-log-daemon
 CDBS_DEPENDS += , lsb-base, adduser, debconf | debconf-2.0, dbconfig-common
 CDBS_DEPENDS += , libdbd-mysql-perl (>= 4.007), libdbd-pg-perl
@@ -185,6 +183,6 @@
 
 CDBS_RECOMMENDS = libfile-nfslock-perl, libio-socket-ssl-perl, libsoap-lite-perl
 CDBS_RECOMMENDS += , libcrypt-ciphersaber-perl, libmail-dkim-perl (>= 0.36)
-CDBS_RECOMMENDS += , libapache2-mod-fastcgi
+CDBS_RECOMMENDS += , libapache2-mod-fcgid
 
-CDBS_SUGGESTS = libauthcas-perl (>= 1.4), libdbd-oracle-perl (>= 0.90)
+CDBS_SUGGESTS = libauthcas-perl (>= 1.4), libdbd-oracle-perl (>= 0.90), libtext-wrap-perl
